// Copyright  1989 Apple Computer, Inc. All rights reserved.

#include "UDraw.h"

TDrawApplication	*gDrawApplication;

#pragma segment Main

void main()
{
	InitToolBox();											// essential toolbox and utilities
	if (ValidateConfiguration(&gConfiguration)){	// make sure we can run
		InitUMacApp(8); 									// initialize MacApp; 8 calls to MoreMasters
		InitUDialog();
		InitUGridView();
		InitUPrinting();
		
		FailOSErr(AEObjectInit());						// initialize the Object Support Library
		
		gDrawApplication = new TDrawApplication;	// create an application object
		FailNIL(gDrawApplication);						// make sure enough memory
		gDrawApplication->IDrawApplication();		// initialize the application
		gDrawApplication->Run();						// run the application
	}
	else
		StdAlert(phUnsupportedConfiguration);		// tell user we can't run
}
