{
	KT 6.0.7 System 6.0.7 Gestalt Manager Bug fix INIT

	Copyright	 1991 Apple Computer Japan, Inc.
	All rights reserved.
	
	version	1.0		7/12/91		T. Tanaka
}

{$Z+}
UNIT	KT607Gestalt;

INTERFACE
	USES
		MemTypes, OSIntf, ToolIntf, PasLibIntf, GestaltEqu, Traps;
	CONST
		mySelector		= 'sysv';
		myOldSelector	= 'osyv';
		gstFuncRsrcType = 'GDEF';
		gstFuncRsrcID 	= 128;
		_Gestalt		= $A1AD;
{$R-}
{$OV-}
IMPLEMENTATION
	PROCEDURE KT607GestaltINIT;	FORWARD;
	
	PROCEDURE ENTRYPOINT;
	BEGIN
		KT607GestaltINIT;
	END;
	
	PROCEDURE ShowINIT(iconID,moveX:INTEGER);EXTERNAL;
	
	FUNCTION TrapAvailable(tNumber:INTEGER): BOOLEAN;
	BEGIN
		TrapAvailable := GetTrapAddress(tNumber) <> GetTrapAddress(_Unimplemented);
	END;
	
	PROCEDURE KT607GestaltINIT;
	VAR
		gestaltErr:		OSErr;
		gstFuncHandle:	Handle;
		oldGestaltFunc:	ProcPtr;
	BEGIN
		IF TrapAvailable(_Gestalt) THEN BEGIN
			ShowINIT(-4064,36);
			gstFuncHandle := GetResource(gstFuncRsrcType, gstFuncRsrcID);
			IF NOT(gstFuncHandle = NIL) THEN BEGIN
				DetachResource(gstFuncHandle);
				gestaltErr := ReplaceGestalt(mySelector,ProcPtr(gstFuncHandle^),oldGestaltFunc);
				IF gestaltErr = noErr THEN BEGIN
					gestaltErr := NewGestalt(myOldSelector,oldGestaltFunc);
				END;
			END;
		END;
	END;
END.