// Copyright  1989 Apple Computer, Inc. All rights reserved.

#include "UTaro.h"

TCoreApplication	*gTaroApplication;

#pragma segment Main
void main()
{
	OSErr	anError;
	
	InitToolBox();									// essential toolbox and utilities
	InitDialogs(NULL);
	if (ValidateConfiguration(gConfiguration) && (AEObjectInit() == noErr))
	{	// make sure we can run
		if((anError = CheckPPC()) == noErr)
		{
			InitUMacApp(64); 							// initialize MacApp; 8 calls to MoreMasters
			InitUTEView();
			InitUDialog();
			InitUGridView();
			InitUPrinting();

			if(gConfiguration.hasColorQD)
				gTaroApplication = new TColorApplication;	// create an application object
			else
				gTaroApplication = new TTaroApplication;	// create an application object
			FailNIL(gTaroApplication);					// make sure enough memory
			gTaroApplication->ITaroApplication();		// initialize the application
			gTaroApplication->Run();					// run the application
		}
		else
			ShowModalDialog(anError);
	}
	else
		StdAlert(phUnsupportedConfiguration);		// tell user we can't run
}

